Skip to main content
POST
Upload Object with Auto-Generated Key

Authorizations

x-api-key
string
header
required

Path Parameters

bucketName
string
required
Pattern: ^[a-zA-Z0-9_-]+$

Body

multipart/form-data
file
file
required

File to upload

Response

Object uploaded successfully with auto-generated key

bucket
string
required

Name of the bucket containing the object

Example:

"avatars"

key
string
required

Unique key identifying the object within the bucket

Example:

"user123.jpg"

size
integer
required

Size of the file in bytes

Example:

102400

uploadedAt
string<date-time>
required

ISO timestamp when the file was uploaded

Example:

"2024-01-15T10:30:00Z"

url
string
required

URL to download the file

Example:

"/api/storage/buckets/avatars/objects/user123.jpg"

mimeType
string

MIME type of the file

Example:

"image/jpeg"